Index: trunk/client/modules/Elezioni/grafici/jpgraph_iconplot.php
===================================================================
--- trunk/client/modules/Elezioni/grafici/jpgraph_iconplot.php	(revision 264)
+++ trunk/client/modules/Elezioni/grafici/jpgraph_iconplot.php	(revision 265)
@@ -1,10 +1,10 @@
 <?php
 //=======================================================================
-// File:	JPGRAPH_ICONPLOT.PHP
-// Description:	PHP4 Graph Plotting library. Extension module.
-// Created: 	2004-02-18
-// Ver:		$Id: jpgraph_iconplot.php 781 2006-10-08 08:07:47Z ljp $
+// File:        JPGRAPH_ICONPLOT.PHP
+// Description: Extension module to add icons to plots
+// Created:     2004-02-18
+// Ver:         $Id: jpgraph_iconplot.php 1404 2009-06-28 15:25:41Z ljp $
 //
-// Copyright (c) Aditus Consulting. All rights reserved.
+// Copyright (c) Asial Corporation. All rights reserved.
 //========================================================================
 
@@ -25,71 +25,71 @@
 
 
-    function IconPlot($aFile="",$aX=0,$aY=0,$aScale=1.0,$aMix=100) {
-	$this->iFile = $aFile;
-	$this->iX=$aX;
-	$this->iY=$aY;
-	$this->iScale= $aScale;
-	if( $aMix < 0 || $aMix > 100 ) {
-	    JpGraphError::RaiseL(8001); //('Mix value for icon must be between 0 and 100.');
-	}
-	$this->iMix = $aMix ;
+    function __construct($aFile="",$aX=0,$aY=0,$aScale=1.0,$aMix=100) {
+        $this->iFile = $aFile;
+        $this->iX=$aX;
+        $this->iY=$aY;
+        $this->iScale= $aScale;
+        if( $aMix < 0 || $aMix > 100 ) {
+            JpGraphError::RaiseL(8001); //('Mix value for icon must be between 0 and 100.');
+        }
+        $this->iMix = $aMix ;
     }
 
     function SetCountryFlag($aFlag,$aX=0,$aY=0,$aScale=1.0,$aMix=100,$aStdSize=3) {
-	$this->iCountryFlag = $aFlag;
-	$this->iX=$aX;
-	$this->iY=$aY;
-	$this->iScale= $aScale;
-	if( $aMix < 0 || $aMix > 100 ) {
-	    JpGraphError::RaiseL(8001);//'Mix value for icon must be between 0 and 100.');
-	}
-	$this->iMix = $aMix;
-	$this->iCountryStdSize = $aStdSize;
+        $this->iCountryFlag = $aFlag;
+        $this->iX=$aX;
+        $this->iY=$aY;
+        $this->iScale= $aScale;
+        if( $aMix < 0 || $aMix > 100 ) {
+            JpGraphError::RaiseL(8001);//'Mix value for icon must be between 0 and 100.');
+        }
+        $this->iMix = $aMix;
+        $this->iCountryStdSize = $aStdSize;
     }
 
     function SetPos($aX,$aY) {
-	$this->iX=$aX;
-	$this->iY=$aY;
+        $this->iX=$aX;
+        $this->iY=$aY;
     }
 
     function CreateFromString($aStr) {
-	$this->iImgString = $aStr;
+        $this->iImgString = $aStr;
     }
 
     function SetScalePos($aX,$aY) {
-	$this->iScalePosX = $aX;
-	$this->iScalePosY = $aY;
+        $this->iScalePosX = $aX;
+        $this->iScalePosY = $aY;
     }
 
     function SetScale($aScale) {
-	$this->iScale = $aScale;
+        $this->iScale = $aScale;
     }
 
     function SetMix($aMix) {
-	if( $aMix < 0 || $aMix > 100 ) {
-	    JpGraphError::RaiseL(8001);//('Mix value for icon must be between 0 and 100.');
-	}
-	$this->iMix = $aMix ;
+        if( $aMix < 0 || $aMix > 100 ) {
+            JpGraphError::RaiseL(8001);//('Mix value for icon must be between 0 and 100.');
+        }
+        $this->iMix = $aMix ;
     }
 
     function SetAnchor($aXAnchor='left',$aYAnchor='center') {
-	if( !in_array($aXAnchor,$this->iAnchors) ||
-	    !in_array($aYAnchor,$this->iAnchors) ) {
-	    JpGraphError::RaiseL(8002);//("Anchor position for icons must be one of 'top', 'bottom', 'left', 'right' or 'center'");
-	}
-	$this->iHorAnchor=$aXAnchor;
-	$this->iVertAnchor=$aYAnchor;
+        if( !in_array($aXAnchor,$this->iAnchors) ||
+        !in_array($aYAnchor,$this->iAnchors) ) {
+            JpGraphError::RaiseL(8002);//("Anchor position for icons must be one of 'top', 'bottom', 'left', 'right' or 'center'");
+        }
+        $this->iHorAnchor=$aXAnchor;
+        $this->iVertAnchor=$aYAnchor;
     }
-    
+
     function PreStrokeAdjust($aGraph) {
-	// Nothing to do ...
+        // Nothing to do ...
     }
 
     function DoLegend($aGraph) {
-	// Nothing to do ...
+        // Nothing to do ...
     }
 
     function Max() {
-	return array(false,false);
+        return array(false,false);
     }
 
@@ -105,84 +105,84 @@
 
     function Min() {
-	return array(false,false);
+        return array(false,false);
     }
 
     function StrokeMargin(&$aImg) {
-	return true;
+        return true;
     }
 
-    function Stroke($aImg,$axscale,$ayscale) {
-	$this->StrokeWithScale($aImg,$axscale,$ayscale);
+    function Stroke($aImg,$axscale=null,$ayscale=null) {
+        $this->StrokeWithScale($aImg,$axscale,$ayscale);
     }
 
     function StrokeWithScale($aImg,$axscale,$ayscale) {
-	if( $this->iScalePosX === null ||
-	    $this->iScalePosY === null ) {
-	    $this->_Stroke($aImg);
-	}
-	else {
-	    $this->_Stroke($aImg,
-			  round($axscale->Translate($this->iScalePosX)),
-			  round($ayscale->Translate($this->iScalePosY)));
-	}
+        if( $this->iScalePosX === null || $this->iScalePosY === null ||
+        	$axscale === null || $ayscale === null ) {
+            $this->_Stroke($aImg);
+        }
+        else {
+            $this->_Stroke($aImg,
+            	round($axscale->Translate($this->iScalePosX)),
+            	round($ayscale->Translate($this->iScalePosY)));
+        }
     }
 
     function GetWidthHeight() {
-	$dummy=0;
-	return $this->_Stroke($dummy,null,null,true);
+        $dummy=0;
+        return $this->_Stroke($dummy,null,null,true);
     }
 
     function _Stroke($aImg,$x=null,$y=null,$aReturnWidthHeight=false) {
-	if( $this->iFile != '' && $this->iCountryFlag != '' ) {
-	    JpGraphError::RaiseL(8003);//('It is not possible to specify both an image file and a country flag for the same icon.');	
-	}
-	if( $this->iFile != '' ) {
-	    $gdimg = Graph::LoadBkgImage('',$this->iFile);
-	}
-	elseif( $this->iImgString != '') {
-	    $gdimg = Image::CreateFromString($this->iImgString);
-	}
+        if( $this->iFile != '' && $this->iCountryFlag != '' ) {
+            JpGraphError::RaiseL(8003);//('It is not possible to specify both an image file and a country flag for the same icon.');
+        }
+        if( $this->iFile != '' ) {
+            $gdimg = Graph::LoadBkgImage('',$this->iFile);
+        }
+        elseif( $this->iImgString != '') {
+            $gdimg = Image::CreateFromString($this->iImgString);
+        }
 
-	else {
-	    if( ! class_exists('FlagImages',false) ) {
-		JpGraphError::RaiseL(8004);//('In order to use Country flags as icons you must include the "jpgraph_flags.php" file.');
-	    }
-	    $fobj = new FlagImages($this->iCountryStdSize);
-	    $dummy='';
-	    $gdimg = $fobj->GetImgByName($this->iCountryFlag,$dummy);
-	}
+        else {
+            if( ! class_exists('FlagImages',false) ) {
+                JpGraphError::RaiseL(8004);//('In order to use Country flags as icons you must include the "jpgraph_flags.php" file.');
+            }
+            $fobj = new FlagImages($this->iCountryStdSize);
+            $dummy='';
+            $gdimg = $fobj->GetImgByName($this->iCountryFlag,$dummy);
+        }
 
-	$iconw = imagesx($gdimg);
-	$iconh = imagesy($gdimg);
-	
-	if( $aReturnWidthHeight ) {
-	    return array(round($iconw*$this->iScale),round($iconh*$this->iScale));
-	}
+        $iconw = imagesx($gdimg);
+        $iconh = imagesy($gdimg);
 
-	if( $x !== null && $y !== null ) {
-	    $this->iX = $x; $this->iY = $y;
-	}
-	if( $this->iX >= 0  && $this->iX <= 1.0 ) {
-	    $w = imagesx($aImg->img);
-	    $this->iX = round($w*$this->iX);
-	}
-	if( $this->iY >= 0  && $this->iY <= 1.0 ) {
-	    $h = imagesy($aImg->img);
-	    $this->iY = round($h*$this->iY);
-	}
+        if( $aReturnWidthHeight ) {
+            return array(round($iconw*$this->iScale),round($iconh*$this->iScale));
+        }
 
-	if( $this->iHorAnchor == 'center' ) 
-	    $this->iX -= round($iconw*$this->iScale/2);
-	if( $this->iHorAnchor == 'right' ) 
-	    $this->iX -= round($iconw*$this->iScale);
-	if( $this->iVertAnchor == 'center' ) 
-	    $this->iY -= round($iconh*$this->iScale/2);
-	if( $this->iVertAnchor == 'bottom' ) 
-	    $this->iY -= round($iconh*$this->iScale);
+        if( $x !== null && $y !== null ) {
+            $this->iX = $x; $this->iY = $y;
+        }
+        if( $this->iX >= 0  && $this->iX <= 1.0 ) {
+            $w = imagesx($aImg->img);
+            $this->iX = round($w*$this->iX);
+        }
+        if( $this->iY >= 0  && $this->iY <= 1.0 ) {
+            $h = imagesy($aImg->img);
+            $this->iY = round($h*$this->iY);
+        }
 
-	$aImg->CopyMerge($gdimg,$this->iX,$this->iY,0,0,
-			 round($iconw*$this->iScale),round($iconh*$this->iScale),
-			 $iconw,$iconh,
-			 $this->iMix);
+        if( $this->iHorAnchor == 'center' )
+        $this->iX -= round($iconw*$this->iScale/2);
+        if( $this->iHorAnchor == 'right' )
+        $this->iX -= round($iconw*$this->iScale);
+        if( $this->iVertAnchor == 'center' )
+        $this->iY -= round($iconh*$this->iScale/2);
+        if( $this->iVertAnchor == 'bottom' )
+        $this->iY -= round($iconh*$this->iScale);
+
+        $aImg->CopyMerge($gdimg,$this->iX,$this->iY,0,0,
+        round($iconw*$this->iScale),round($iconh*$this->iScale),
+        $iconw,$iconh,
+        $this->iMix);
     }
 }
Index: trunk/client/modules/Elezioni/grafici/jpgraph_imgtrans.php
===================================================================
--- trunk/client/modules/Elezioni/grafici/jpgraph_imgtrans.php	(revision 264)
+++ trunk/client/modules/Elezioni/grafici/jpgraph_imgtrans.php	(revision 265)
@@ -1,176 +1,176 @@
 <?php
 //=======================================================================
-// File:	JPGRAPH_IMGTRANS.PHP
-// Description:	Extension for JpGraph to do some simple img transformations
-// Created: 	2003-09-06
-// Ver:		$Id: jpgraph_imgtrans.php 781 2006-10-08 08:07:47Z ljp $
+// File:        JPGRAPH_IMGTRANS.PHP
+// Description: Extension for JpGraph to do some simple img transformations
+// Created:     2003-09-06
+// Ver:         $Id: jpgraph_imgtrans.php 1106 2009-02-22 20:16:35Z ljp $
 //
-// Copyright (c) Aditus Consulting. All rights reserved.
+// Copyright (c) Asial Corporation. All rights reserved.
 //========================================================================
 
 //------------------------------------------------------------------------
 // Class ImgTrans
-// Perform some simple image transformations. 
+// Perform some simple image transformations.
 //------------------------------------------------------------------------
 class ImgTrans {
     private $gdImg=null;
 
-    function ImgTrans($aGdImg) {
-	// Constructor
-	$this->gdImg = $aGdImg;
-    }
-
-    // --------------------------------------------------------------------
-    // _TransVert3D() and _TransHor3D() are helper methods to 
-    // Skew3D(). 
+    function __construct($aGdImg) {
+        // Constructor
+        $this->gdImg = $aGdImg;
+    }
+
+    // --------------------------------------------------------------------
+    // _TransVert3D() and _TransHor3D() are helper methods to
+    // Skew3D().
     // --------------------------------------------------------------------
     function _TransVert3D($aGdImg,$aHorizon=100,$aSkewDist=120,$aDir=SKEW3D_DOWN,$aMinSize=true,$aFillColor='#FFFFFF',$aQuality=false,$aBorder=false,$aHorizonPos=0.5) {
 
 
-	// Parameter check
-	if( $aHorizonPos < 0 || $aHorizonPos > 1.0 ) {
-	    JpGraphError::RaiseL(9001);
-//("Value for image transformation out of bounds.\nVanishing point on horizon must be specified as a value between 0 and 1.");
-	}
-
-	$w = imagesx($aGdImg);
-	$h = imagesy($aGdImg);
-
-	// Create new image
-	$ww = $w;
-	if( $aMinSize ) 
-	    $hh = ceil($h * $aHorizon / ($aSkewDist+$h));
-	else 
-	    $hh = $h;
-	
-	$newgdh = imagecreatetruecolor($ww,$hh);
-	$crgb = new RGB( $newgdh );
-	$fillColor = $crgb->Allocate($aFillColor);
-	imagefilledrectangle($newgdh,0,0,$ww-1,$hh-1,$fillColor);
-
-	if( $aBorder ) {
-	    $colidx = $crgb->Allocate($aBorder);
-	    imagerectangle($newgdh,0,0,$ww-1,$hh-1,$colidx);
-	}
-
-	$mid = round($w * $aHorizonPos);
-    
-	$last=$h;
-	for($y=0; $y < $h; ++$y) {	
-
-	    $yp = $h-$y-1;
-	    $yt = floor($yp * $aHorizon / ($aSkewDist + $yp));	    
-
-	    if( !$aQuality ) {
-		if( $last <= $yt ) continue ;
-		$last = $yt;
-	    }
-
-	    for($x=0; $x < $w; ++$x) {	    
-		$xt = ($x-$mid) * $aSkewDist / ($aSkewDist + $yp);
-		if( $aDir == SKEW3D_UP ) 
-		    $rgb = imagecolorat($aGdImg,$x,$h-$y-1);
-		else
-		    $rgb = imagecolorat($aGdImg,$x,$y);
-		$r = ($rgb >> 16) & 0xFF;
-		$g = ($rgb >> 8) & 0xFF;
-		$b = $rgb & 0xFF;    
-		$colidx = imagecolorallocate($newgdh,$r,$g,$b);	
-		$xt = round($xt+$mid);
-		if( $aDir == SKEW3D_UP ) {
-		    $syt = $yt;
-		}
-		else {
-		    $syt = $hh-$yt-1;
-		}
-
-		if( !empty($set[$yt]) ) {
-		    $nrgb = imagecolorat($newgdh,$xt,$syt);
-		    $nr = ($nrgb >> 16) & 0xFF;
-		    $ng = ($nrgb >> 8) & 0xFF;
-		    $nb = $nrgb & 0xFF;    
-		    $colidx = imagecolorallocate($newgdh,floor(($r+$nr)/2),
-						 floor(($g+$ng)/2),floor(($b+$nb)/2));	
-		}	
-
-		imagesetpixel($newgdh,$xt,$syt,$colidx);	
-	    }
-
-	    $set[$yt] = true;	
-	}
-
-	return $newgdh;
-    }
-
-    // --------------------------------------------------------------------
-    // _TransVert3D() and _TransHor3D() are helper methods to 
-    // Skew3D(). 
+        // Parameter check
+    if( $aHorizonPos < 0 || $aHorizonPos > 1.0 ) {
+        JpGraphError::RaiseL(9001);
+        //("Value for image transformation out of bounds.\nVanishing point on horizon must be specified as a value between 0 and 1.");
+    }
+
+    $w = imagesx($aGdImg);
+    $h = imagesy($aGdImg);
+
+    // Create new image
+    $ww = $w;
+    if( $aMinSize )
+    $hh = ceil($h * $aHorizon / ($aSkewDist+$h));
+    else
+    $hh = $h;
+
+    $newgdh = imagecreatetruecolor($ww,$hh);
+    $crgb = new RGB( $newgdh );
+    $fillColor = $crgb->Allocate($aFillColor);
+    imagefilledrectangle($newgdh,0,0,$ww-1,$hh-1,$fillColor);
+
+    if( $aBorder ) {
+        $colidx = $crgb->Allocate($aBorder);
+        imagerectangle($newgdh,0,0,$ww-1,$hh-1,$colidx);
+    }
+
+    $mid = round($w * $aHorizonPos);
+
+    $last=$h;
+    for($y=0; $y < $h; ++$y) {
+
+        $yp = $h-$y-1;
+        $yt = floor($yp * $aHorizon / ($aSkewDist + $yp));
+
+        if( !$aQuality ) {
+            if( $last <= $yt ) continue ;
+            $last = $yt;
+        }
+
+        for($x=0; $x < $w; ++$x) {
+            $xt = ($x-$mid) * $aSkewDist / ($aSkewDist + $yp);
+            if( $aDir == SKEW3D_UP )
+            $rgb = imagecolorat($aGdImg,$x,$h-$y-1);
+            else
+            $rgb = imagecolorat($aGdImg,$x,$y);
+            $r = ($rgb >> 16) & 0xFF;
+            $g = ($rgb >> 8) & 0xFF;
+            $b = $rgb & 0xFF;
+            $colidx = imagecolorallocate($newgdh,$r,$g,$b);
+            $xt = round($xt+$mid);
+            if( $aDir == SKEW3D_UP ) {
+                $syt = $yt;
+            }
+            else {
+                $syt = $hh-$yt-1;
+            }
+
+            if( !empty($set[$yt]) ) {
+                $nrgb = imagecolorat($newgdh,$xt,$syt);
+                $nr = ($nrgb >> 16) & 0xFF;
+                $ng = ($nrgb >> 8) & 0xFF;
+                $nb = $nrgb & 0xFF;
+                $colidx = imagecolorallocate($newgdh,floor(($r+$nr)/2),
+                floor(($g+$ng)/2),floor(($b+$nb)/2));
+            }
+
+            imagesetpixel($newgdh,$xt,$syt,$colidx);
+        }
+
+        $set[$yt] = true;
+    }
+
+    return $newgdh;
+    }
+
+    // --------------------------------------------------------------------
+    // _TransVert3D() and _TransHor3D() are helper methods to
+    // Skew3D().
     // --------------------------------------------------------------------
     function _TransHor3D($aGdImg,$aHorizon=100,$aSkewDist=120,$aDir=SKEW3D_LEFT,$aMinSize=true,$aFillColor='#FFFFFF',$aQuality=false,$aBorder=false,$aHorizonPos=0.5) {
 
-	$w = imagesx($aGdImg);
-	$h = imagesy($aGdImg);
-
-	// Create new image
-	$hh = $h;
-	if( $aMinSize ) 
-	    $ww = ceil($w * $aHorizon / ($aSkewDist+$w));
-	else 
-	    $ww = $w;
-	
-	$newgdh = imagecreatetruecolor($ww,$hh);
-	$crgb = new RGB( $newgdh );
-	$fillColor = $crgb->Allocate($aFillColor);
-	imagefilledrectangle($newgdh,0,0,$ww-1,$hh-1,$fillColor);
-
-	if( $aBorder ) {
-	    $colidx = $crgb->Allocate($aBorder);
-	    imagerectangle($newgdh,0,0,$ww-1,$hh-1,$colidx);
-	}
-
-	$mid = round($h * $aHorizonPos);
-
-	$last = -1; 
-	for($x=0; $x < $w-1; ++$x) {	    
-	    $xt = floor($x * $aHorizon / ($aSkewDist + $x));
-	    if( !$aQuality ) {
-		if( $last >= $xt ) continue ;
-		$last = $xt;
-	    }
-
-	    for($y=0; $y < $h; ++$y) {	
-		$yp = $h-$y-1;
-		$yt = ($yp-$mid) * $aSkewDist / ($aSkewDist + $x);
-
-		if( $aDir == SKEW3D_RIGHT ) 
-		    $rgb = imagecolorat($aGdImg,$w-$x-1,$y);
-		else
-		    $rgb = imagecolorat($aGdImg,$x,$y);
-		$r = ($rgb >> 16) & 0xFF;
-		$g = ($rgb >> 8) & 0xFF;
-		$b = $rgb & 0xFF;    
-		$colidx = imagecolorallocate($newgdh,$r,$g,$b);	
-		$yt = floor($hh-$yt-$mid-1);
-		if( $aDir == SKEW3D_RIGHT ) {
-		    $sxt = $ww-$xt-1;
-		}
-		else
-		    $sxt = $xt ;
-
-		if( !empty($set[$xt]) ) {
-		    $nrgb = imagecolorat($newgdh,$sxt,$yt);
-		    $nr = ($nrgb >> 16) & 0xFF;
-		    $ng = ($nrgb >> 8) & 0xFF;
-		    $nb = $nrgb & 0xFF;    
-		    $colidx = imagecolorallocate($newgdh,floor(($r+$nr)/2),
-						 floor(($g+$ng)/2),floor(($b+$nb)/2));	
-		}
-		imagesetpixel($newgdh,$sxt,$yt,$colidx);	
-	    }
-
-	    $set[$xt] = true;
-	}
-
-	return $newgdh;
+        $w = imagesx($aGdImg);
+        $h = imagesy($aGdImg);
+
+        // Create new image
+        $hh = $h;
+        if( $aMinSize )
+        $ww = ceil($w * $aHorizon / ($aSkewDist+$w));
+        else
+        $ww = $w;
+
+        $newgdh = imagecreatetruecolor($ww,$hh);
+        $crgb = new RGB( $newgdh );
+        $fillColor = $crgb->Allocate($aFillColor);
+        imagefilledrectangle($newgdh,0,0,$ww-1,$hh-1,$fillColor);
+
+        if( $aBorder ) {
+            $colidx = $crgb->Allocate($aBorder);
+            imagerectangle($newgdh,0,0,$ww-1,$hh-1,$colidx);
+        }
+
+        $mid = round($h * $aHorizonPos);
+
+        $last = -1;
+        for($x=0; $x < $w-1; ++$x) {
+            $xt = floor($x * $aHorizon / ($aSkewDist + $x));
+            if( !$aQuality ) {
+                if( $last >= $xt ) continue ;
+                $last = $xt;
+            }
+
+            for($y=0; $y < $h; ++$y) {
+                $yp = $h-$y-1;
+                $yt = ($yp-$mid) * $aSkewDist / ($aSkewDist + $x);
+
+                if( $aDir == SKEW3D_RIGHT )
+                $rgb = imagecolorat($aGdImg,$w-$x-1,$y);
+                else
+                $rgb = imagecolorat($aGdImg,$x,$y);
+                $r = ($rgb >> 16) & 0xFF;
+                $g = ($rgb >> 8) & 0xFF;
+                $b = $rgb & 0xFF;
+                $colidx = imagecolorallocate($newgdh,$r,$g,$b);
+                $yt = floor($hh-$yt-$mid-1);
+                if( $aDir == SKEW3D_RIGHT ) {
+                    $sxt = $ww-$xt-1;
+                }
+                else
+                $sxt = $xt ;
+
+                if( !empty($set[$xt]) ) {
+                    $nrgb = imagecolorat($newgdh,$sxt,$yt);
+                    $nr = ($nrgb >> 16) & 0xFF;
+                    $ng = ($nrgb >> 8) & 0xFF;
+                    $nb = $nrgb & 0xFF;
+                    $colidx = imagecolorallocate($newgdh,floor(($r+$nr)/2),
+                    floor(($g+$ng)/2),floor(($b+$nb)/2));
+                }
+                imagesetpixel($newgdh,$sxt,$yt,$colidx);
+            }
+
+            $set[$xt] = true;
+        }
+
+        return $newgdh;
     }
 
@@ -180,5 +180,5 @@
     // of the image. The transformation is specified by giving the height
     // of the artificial horizon and specifying a "skew" factor which
-    // is the distance on the horizon line between the point of 
+    // is the distance on the horizon line between the point of
     // convergence and perspective line.
     //
@@ -188,9 +188,9 @@
     // Parameters:
     // * $aGdImg, GD handle to the image to be transformed
-    // * $aHorizon, Distance to the horizon 
+    // * $aHorizon, Distance to the horizon
     // * $aSkewDist, Distance from the horizon point of convergence
-    //   on the horizon line to the perspective points. A larger 
+    //   on the horizon line to the perspective points. A larger
     //   value will fore-shorten the image more
-    // * $aDir, parameter specifies type of convergence. This of this 
+    // * $aDir, parameter specifies type of convergence. This of this
     //   as the walls in a room you are looking at. This specifies if the
     //   image should be applied on the left,right,top or bottom walls.
@@ -202,20 +202,20 @@
     //   high quality will have a dramatic effect on the time it takes
     //   to transform an image.
-    // * $aBorder, if set to anything besides false this will draw a 
+    // * $aBorder, if set to anything besides false this will draw a
     //   a border of the speciied color around the image
     // --------------------------------------------------------------------
     function Skew3D($aHorizon=120,$aSkewDist=150,$aDir=SKEW3D_DOWN,$aHiQuality=false,$aMinSize=true,$aFillColor='#FFFFFF',$aBorder=false) {
-	return $this->_Skew3D($this->gdImg,$aHorizon,$aSkewDist,$aDir,$aHiQuality,
-			      $aMinSize,$aFillColor,$aBorder);
+        return $this->_Skew3D($this->gdImg,$aHorizon,$aSkewDist,$aDir,$aHiQuality,
+        $aMinSize,$aFillColor,$aBorder);
     }
 
     function _Skew3D($aGdImg,$aHorizon=120,$aSkewDist=150,$aDir=SKEW3D_DOWN,$aHiQuality=false,$aMinSize=true,$aFillColor='#FFFFFF',$aBorder=false) {
-	if( $aDir == SKEW3D_DOWN || $aDir == SKEW3D_UP )
-	    return $this->_TransVert3D($aGdImg,$aHorizon,$aSkewDist,$aDir,$aMinSize,$aFillColor,$aHiQuality,$aBorder);
-	else
-	    return $this->_TransHor3D($aGdImg,$aHorizon,$aSkewDist,$aDir,$aMinSize,$aFillColor,$aHiQuality,$aBorder);
-
-    }
-    
+        if( $aDir == SKEW3D_DOWN || $aDir == SKEW3D_UP )
+        return $this->_TransVert3D($aGdImg,$aHorizon,$aSkewDist,$aDir,$aMinSize,$aFillColor,$aHiQuality,$aBorder);
+        else
+        return $this->_TransHor3D($aGdImg,$aHorizon,$aSkewDist,$aDir,$aMinSize,$aFillColor,$aHiQuality,$aBorder);
+
+    }
+
 }
 
